Автор Тема: Komodo Edit - текстовый редактор для разработчиков  (Прочитано 11548 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Пользователь.

  • Редактор раздела
  • *****
  • Автор темы
  • Сообщений: 4264
Komodo Edit - текстовый редактор для разработчиков, поддерживает следующие языки: PHP, Python, Ruby, JavaScript, Perl, Tcl, XML, HTML 5, CSS 3

Оффлайн dignityinside

  • Новичок
  • **
  • Сообщений: 40
  • Я люблю Linux!
    • Форум пользователей Linux Mint
Лучший редактор который я видел под Linux!
Форум пользователей Linux Mint:
http://mintusers.ru

Оффлайн Prof1983

  • Активист
  • ****
  • Сообщений: 499
  • Digital Economy Institute
Пробую установить Komodo-Edit - не получается.
Скачал файл Komodo-Edit-7.0.2-9923-linux-x86.tar.gz с официального сайта, распаковал, пробую запустить ./install.sh
Выдает такой результат:
$ sudo ./install.sh
./INSTALLDIR/lib/python/bin/python: error while loading shared libraries: ./INSTALLDIR/lib/mozilla/libpython2.6.so.1.0: file too short

В инструкции написано:
Цитировать (выделенное)
Installation Prerequisites:
    glibc 2.4 (or higher) and libjpeg.so.62 (or higher): These libraries are included in standard Linux distributions.
    libstdc++6 (or higher)
    GTK+ 2.10 (or higher)
    Gnome libraries (libgnome, libgnomeui)

Non-ASCII Input Requirements (IME):
    SuSE: scim, scim-bridge-gtk and scim-bridge-qt packages.
    Ubuntu: scim, scim-gtk2-immodule, scim-qtimm, and scim-tables-additional packages (if not already installed).
    Fedora Core / RHEL / CentOS: scim, scim-gtk and scim-qtimm packages.
Попробовал установить указанные пакеты (кроме scim-qtimm - такого пакета не оказалось):
sudo apt-get install scim scim-gtk2-immodule and scim-tables-additionalПопробовал так же установить пакет python-all. Все-равно install.sh выдает то же сообщение.

У меня Ubuntu-12.04.

Инструкция для установки в Linux из файла ./install.html: ПоказатьСкрыть

Linux
Prerequisites
Hardware Requirements

    1GHz (or faster) x86 or x86_64 processor
    1 GB RAM
    250 MB hard disk space
    350 MB of temporary hard disk space during installation

Operating System Requirements

Supported operating systems:

The following platforms are officially supported.

    Red Hat Enterprise Linux 5 or later
    CentOS 5.0 or later
    Fedora Core 8 or later
    OpenSUSE 10.2 or later
    Ubuntu 7.04 or later

Other operating systems:

Komodo can also be run on the following platforms. This version of Komodo has not necessarily been tested on these platforms; platform-specific bugs may or may not be fixed.

    Debian GNU/Linux 4.0 ("etch")
    Mandriva
    FreeBSD (with Linux binary compatibility)
    Gentoo

Software Prerequisites on Linux

Installation Prerequisites:

    glibc 2.4 (or higher) and libjpeg.so.62 (or higher): These libraries are included in standard Linux distributions.
    libstdc++6 (or higher)
    GTK+ 2.10 (or higher)
    Gnome libraries (libgnome, libgnomeui)

Non-ASCII Input Requirements (IME):

    SuSE: scim, scim-bridge-gtk and scim-bridge-qt packages.
    Ubuntu: scim, scim-gtk2-immodule, scim-qtimm, and scim-tables-additional packages (if not already installed).
    Fedora Core / RHEL / CentOS: scim, scim-gtk and scim-qtimm packages.

Adding Perl or Python to the PATH Environment Variable

To add Perl or Python to the PATH environment variable, do one of the following:

    Modify your PATH environment variable. For example, if you use the Bash shell, add the following line to your ~/.bashrc file:

    export PATH=<installdir>/bin:$PATH

    ...where <installdir> points to the directory where you installed ActivePerl or ActivePython.
    Create a symbolic link to the Perl or Python executable. For example, for ActivePerl, enter:

    ln -s <installdir>/bin/perl /usr/local/bin/perl

    For ActivePython, enter:

    ln -s <installdir>/bin/python /usr/local/bin/python

    ...where <installdir> points to the directory where you installed ActivePerl or ActivePython.

Upgrading from Previous Komodo Versions

Newer versions of Komodo should not be installed in the same directory as older versions. For major release upgrades (e.g. 3.5 to 4.0) the installer will automatically put Komodo in a new directory.

For minor releases (e.g. 4.1 to 4.2) and patch-level releases (4.1.1 to 4.1.2), use the auto-update system (Help|Check for Updates). The changes will be applied safely in the current install directory. If you need to update using an installer, completely uninstall the older version before installing the new one, or manually specify a different install directory during the installation process. Your Komodo preferences will be preserved as they are installed in a different directory.
Installing Komodo on Linux

This version of Komodo allows non-root installation on Linux. Note, however, that the user who executes the license file will be the user who is licensed to use the software.

To install Komodo on Linux:

    Download the Komodo installer (.tar.gz file) into a convenient directory.
    Unpack the tarball:

    tar -xvzf Komodo-<version>-<platform>.tar.gz

    Change to the new directory:

    cd Komodo-<version>-<platform>

    Run the install script ("install.sh"):

    ./install.sh

    Answer the installer prompts:
        Specify where you want Komodo installed, or press 'Enter' to accept the default location (/home/<username>/Komodo-<IDE|Edit>-x.y).The -I option can be used to specify the install directory. For example:

        ./install.sh -I ~/opt/Komodo-IDE-4.2

        If multiple users are sharing the system and will be using the same installation, install Komodo in a location every user can access (e.g. /opt/Komodo-x.x/ or /usr/local/Komodo-x.x/).

        Note:
            Each Komodo user requires their own license key.
            Do not install Komodo in a path that contains spaces or non-alphanumeric characters.
            Be sure to install Komodo into its own directory (i.e. not directly in an existing directory containing shared files and directories such as /usr/local).


    Once the installer has finished, add Komodo to your PATH with one of the following:
        Add Komodo/bin to your PATH directly:

        export PATH=<installdir>/bin:$PATH

        Add a symlink to Komodo/bin/komodo from another directory in your PATH:

        ln -s <installdir>/bin/komodo /usr/local/bin/komodo

        Note: Creating symlinks in system directories such as /usr/bin requires root access.

After completing the installation, you can delete the temporary directory where the Komodo tarball was unpacked.
Starting Komodo on Linux

To start Komodo on Linux enter `komodo` at the command line or create a shortcut on your desktop or in your toolbar using the full path to the komodo executable.
Uninstalling Komodo on Linux

To uninstall Komodo on Linux:

    Delete the directory that Komodo created during installation.
    If you wish to delete your Komodo preferences, delete the ~/.komodo directory. If you do not delete this directory, subsequent installations of Komodo will use the same preferences.

Note: You cannot relocate an existing Komodo installation to a new directory by simply moving it. You must uninstall Komodo from the existing location and reinstall it in the new location.
Libre.Life - Свободная жизнь Libre.Money - Свободные деньги Libre.Su - Свободный союз

Оффлайн Пользователь.

  • Редактор раздела
  • *****
  • Автор темы
  • Сообщений: 4264

Оффлайн Prof1983

  • Активист
  • ****
  • Сообщений: 499
  • Digital Economy Institute
Спасибо. Установилась без проблем. Использовал репозиторий от oneiric.

P.S. Вот прямая ссылка на описание как подключить репозиторий от автора:
http://anosov.org.ru/services/
Libre.Life - Свободная жизнь Libre.Money - Свободные деньги Libre.Su - Свободный союз

Оффлайн FSnow

  • Global Moderator
  • *****
  • Сообщений: 689
И как впечатления?

Оффлайн Prof1983

  • Активист
  • ****
  • Сообщений: 499
  • Digital Economy Institute
И как впечатления?
Пока никак. Для меня - очередной текстовый редактор. При чем меню на английском. Принципиальной разницы между Komodo-Edit и gedit пока не вижу. Нужно поработать с ним хотя бы с месяц - тогда можно будет что-то о нем сказать.

Единственно, что хочу отметить, что для установки нужно скачать порядка 52 МБ, распаковывается больше чем на 200 МБ.
Libre.Life - Свободная жизнь Libre.Money - Свободные деньги Libre.Su - Свободный союз